View Issue Details

IDProjectCategoryView StatusLast Update
0008513VCOMPONENT-VKERNELJoin of Tablespublic2019-05-22 07:54
ReporterSergey PashkovAssigned ToIvan Smahin 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version9.1.x 
Target Version9.1.xFixed in Version9.1.x 
Summary0008513: Ability to define any condition for JOIN
DescriptionTry to execute the following:
SELECT * FROM t1 JOIN t2 on t1.ID = t2.ID AND t1.f1 = t2.f1
11:45:48 Kernel error: 0x55000. Semantic error.

This works:
SELECT * FROM t1 join t2 on t1.ID = t2.ID AND t1.f1 <> t2.f1

Adding t1.f1 = t2.f1 to WHERE works.
Additional InformationWill be very useful for MERGE command as there is no workaround for it
https://valentina-db.com/de/discussion-forums/5709-updating-records-while-importing
TagsNo tags attached.

Relationships

related to 0008538 resolvedIvan Smahin "MERGE...ON ...<multi-join-conditions>...WHEN NOT MATCHED" 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-04-25 08:47 Sergey Pashkov New Issue
2019-04-25 14:19 Sergey Pashkov Additional Information Updated View Revisions
2019-05-13 08:52 Ivan Smahin Assigned To => Ivan Smahin
2019-05-13 08:52 Ivan Smahin Status new => resolved
2019-05-13 08:52 Ivan Smahin Resolution open => fixed
2019-05-13 08:52 Ivan Smahin Fixed in Version => 9.1.x
2019-05-22 07:54 Ivan Smahin Relationship added related to 0008538